#!/usr/bin/env node

const Builder = require('../lib/Builder');

let artifacts = [];
for (let i = 2; i < process.argv.length - 1; i += 2) {
  artifacts.push({
    path: process.argv[i],
    key: process.argv[i + 1]
  });
}

if (artifacts.length > 0) {
  new Builder().uploadArtifacts(artifacts)
    .then(() => process.exit(0))
    .catch(() => process.exit(1));
} else {
  console.error('Artifacts weren\'t informed');
  process.exit(1);
}
